;-| Button Remapping |-----------------------------------------------------
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
command.time = 15
command.buffer.time = 1

;-| Super Motions |--------------------------------------------------------
[Command]
name = "tiger"
command = ~D, DF, F, b+y
time = 25

[Command]
name = "fdrush"
command = ~F, D, DF, x+y
time = 25

[Command]
name = "mtball"
command = ~D, DF, F, x+y
time = 25

[Command]
name = "ptkick"
command = ~D, DF, F, a+b
time = 25

;-| Special Motions |------------------------------------------------------
[Command]
name = "tkick_a"
command = a, a, a, a
time = 30

[Command]
name = "tkick_b"
command = b, b, b
time = 30

[Command]
name = "fdp_x"
command = ~F, D, DF, x

[Command]
name = "fdp_y"
command = ~F, D, DF, y

[Command]
name = "tball_x"
command = ~D, DF, F, x

[Command]
name = "tball_y"
command = ~D, DF, F, y

[Command]
name = "air_a"
command = ~D, DB, B, a

[Command]
name = "air_b"
command = ~D, DB, B, b

[Command]
name = "dash1"
command = ~D, DF, F, x

[Command]
name = "dash1"
command = ~D, DF, F, y

[Command]
name = "dash2"
command = ~D, DF, F, a

[Command]
name = "dash2"
command = ~D, DF, F, b

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"
command = F, F
time = 10

[Command]
name = "BB"
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery"
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

;---------------------------------------------------------------------------

[Statedef -1]

;===========================================================================

;---------------------------------------------------------------------------
;Hyper - Giant Tiger Roar (Matrimelee SDM - lvl3)
[State -1, GTR]
type = ChangeState
value = 6200
triggerall = command = "tiger"
triggerall = power >= 3000
triggerall = NumProjID(1000) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3000,3050)
trigger2 = movecontact

;---------------------------------------------------------------------------
;Super1 - Flying Dragon Rush (PI2 DM - lvl1)
[State -1, FDR]
type = ChangeState
value = 6000
triggerall = command = "fdrush"
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 250
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 220
trigger4 = movecontact = 1
trigger5 = stateno = 240
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1
trigger8 = stateno = 420
trigger8 = movecontact = 1
trigger9 = stateno = 430
trigger9 = movecontact = 1
trigger10 = stateno = 440
trigger10 = movecontact = 1

;---------------------------------------------------------------------------
;Super2 - Powered Thunder Kick (Chun-li DM - lvl1)
[State -1, PTK]
type = ChangeState
value = 6100
triggerall = command = "ptkick"
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 250
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 220
trigger4 = movecontact = 1
trigger5 = stateno = 240
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1
trigger8 = stateno = 420
trigger8 = movecontact = 1
trigger9 = stateno = 430
trigger9 = movecontact = 1
trigger10 = stateno = 440
trigger10 = movecontact = 1

;---------------------------------------------------------------------------
;Super3 - Mega Thunder Ball (Evil Reiji DM - lvl2)
[State -1, MTB]
type = ChangeState
value = 6300
triggerall = command = "mtball"
triggerall = power >= 2000
triggerall = NumProjID(1000) = 0
trigger1 = statetype = S
trigger1 = ctrl = 1

;===========================================================================
;---------------------------------------------------------------------------
;Thunder Glove Debil
[State -1, TG1]
type = ChangeState
value = 1000
triggerall = command = "tball_x"
triggerall = NumProjID(1000) = 0
trigger1 = statetype != A
trigger1 = ctrl

;Thunder Glove Fuerte
[State -1, TG2]
type = ChangeState
value = 1050
triggerall = command = "tball_y"
triggerall = NumProjID(1000) = 0
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Thunder Kick Debil
[State -1, TK1]
type = ChangeState
value = 1200
triggerall = command = "tkick_a"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;Thunder Kick Fuerte
[State -1, TK2]
type = ChangeState
value = 1250
triggerall = command = "tkick_b"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Flying Dragon Punch Debil
[State -1, FDP1]
type = ChangeState
value = 1100
triggerall = command = "fdp_x"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;Flying Dragon Punch Fuerte
[State -1, FDP2]
type = ChangeState
value = 1150
triggerall = command = "fdp_y"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Super Flying Kick Debil
[State -1, SFK1]
type = ChangeState
value = 1300
triggerall = command = "air_a"
trigger1 = statetype = A
trigger1 = ctrl

;Super Flying Kick Fuerte
[State -1, SFK2]
type = ChangeState
value = 1350
triggerall = command = "air_b"
trigger1 = statetype = A
trigger1 = ctrl

;===========================================================================
;---------------------------------------------------------------------------
;Dash
[State -1, Dash]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Salto Atras
[State -1, Salto Atras]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Agarre
[State -1, PI1]
type = ChangeState
value = 800
triggerall = command = "y"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 3
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "holdback"
trigger2 = p2bodydist X < 5
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H

;Agarre 2
[State -1, Martial Trick]
type = ChangeState
value = 890
triggerall = command = "b"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 3
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "holdback"
trigger2 = p2bodydist X < 5
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H

;Agarre Aereo
[State -1, PI2]
type = ChangeState
value = 850
triggerall = command = "y"
triggerall = statetype = A
triggerall = ctrl
trigger1 = command = "holdfwd" || command = "holdback"
trigger1 = p2bodydist X < 20
trigger1 = p2bodydist Y > -40
trigger1 = p2bodydist Y < 40
trigger1 = p2statetype = A
trigger1 = p2movetype != H

;===========================================================================
;---------------------------------------------------------------------------
;Golpe Debil Parado (lejos)
[State -1, GDPC]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = P2bodydist X >= 15
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = time > 6

;Golpe Debil Parado (cerca)
[State -1, GDPL]
type = ChangeState
value = 205
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = P2bodydist X <= 14
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = time > 6

;Golpe Fuerte Parado (lejos)
[State -1, GFPL]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = P2bodydist X >= 15
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6

;Golpe Fuerte Parado (cerca)
[State -1, GFPC]
type = ChangeState
value = 220
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = P2bodydist X <= 14
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6

;Patada Debil Parado (lejos)
[State -1, PDPL]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = P2bodydist X >= 15
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 7
trigger3 = (stateno = 230) && time > 9

;Patada Debil Parado (cerca)
[State -1, PDPC]
type = ChangeState
value = 235
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = P2bodydist X <= 14
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 7
trigger3 = (stateno = 230) && time > 9

;Patada Fuerte Parado (lejos)
[State -1, PFPL]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = P2bodydist X >= 15
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6

;Patada Fuerte Parado (cerca)
[State -1, PFPC]
type = ChangeState
value = 250
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = P2bodydist X <= 14
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6

;---------------------------------------------------------------------------
;Burla
[State -1, burla]
type = ChangeState
value = 195
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Golpe Debil Agachado
[State -1, GDA]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;Golpe Fuerte Agachado
[State -1, GFA]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;Patada Debil Agachado
[State -1, PDA]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;Patada Fuerte Agachado
[State -1, PFA]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Golpe Debil Saltando
[State -1, GDS]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = statetime >= 7

;Golpe Fuerte Saltando
[State -1, GFS]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact

;Patada Debil Saltando
[State -1, PDS]
type = ChangeState
value = 630
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl

;Patada Fuerte Saltando
[State -1, PFS]
type = ChangeState
value = 640
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact


